LibreOffice: CellRangeListSource Service Reference

LibreOffice LibreOffice 4.4 SDK API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Included Services | Exported Interfaces | Public Attributes | List of all members
CellRangeListSource Service Reference

defines the a source of list entries coming from a cell range in a table document More...

`import"CellRangeListSource.idl";`

Inheritance diagram for CellRangeListSource:

## Included Services
service | com::sun::star::form::binding::ListEntrySource
| ensures the basic functionality for supplying list entries More...

## Exported Interfaces
interface | com::sun::star::lang::XInitialization
| allows setting initial, creation-time properties of the component More...
Exported Interfaces inherited from ListEntrySource
interface | XListEntrySource
| allows read access to the entries represented by this component More...
interface | com::sun::star::lang::XComponent
| allows life time control for the component More...

## Public Attributes
com::sun::star::table::CellRangeAddress | CellRange
| specifies the cell range within a document to which the component is bound. More...

## Additional Inherited Members
Public Member Functions inherited from XListEntrySource
long | getListEntryCount ()
| retrieves the number of entries in the list More...
string | getListEntry ([in] long Position) raises ( com::sun::star::lang::IndexOutOfBoundsException )
| provides access to a single list entry More...
sequence< string > | getAllListEntries ()
| provides access to the entirety of all list entries More...
void | addListEntryListener ([in] XListEntryListener Listener) raises ( com::sun::star::lang::NullPointerException )
| adds a listener which will be notified about changes in the list reflected by the component. More...
void | removeListEntryListener ([in] XListEntryListener Listener) raises ( com::sun::star::lang::NullPointerException )
| revokes the given listener from the list of components which will be notified about changes in the entry list. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...
Public Member Functions inherited from XComponent
void | dispose ()
| The owner of an object calls this method to explicitly free all resources kept by this object and thus break cyclic references. More...
void | addEventListener ([in] XEventListener xListener)
| adds an event listener to the object. More...
void | removeEventListener ([in] XEventListener aListener)
| removes an event listener from the listener list. More...
Public Member Functions inherited from XInitialization
void | initialize ([in] sequence< any > aArguments) raises ( com::sun::star::uno::Exception )
| initializes the object. More...

## Detailed Description

defines the a source of list entries coming from a cell range in a table document

The component cannot be instantiated at a global service factory, instead it's usually provided by a document instance.

See also
  com::sun::star::document::OfficeDocument

## Exported Interfaces

service com::sun::star::form::binding::ListEntrySource

ensures the basic functionality for supplying list entries

## Exported Interfaces

interface com::sun::star::lang::XInitialization

allows setting initial, creation-time properties of the component

This interface is used to initialize the component after creation. It has to be used exactly once in the life time of the component, every second call to com::sun::star::lang::XInitialization::initialize() will throw an exception.

The arguments passed to the com::sun::star::lang::XInitialization::initialize() method must be instances of com::sun::star::beans::NamedValue, where the com::sun::star::beans::NamedValue::Name denotes the type of information to initialize, and the com::sun::star::beans::NamedValue::Value the initial value.

The following aspects of the components can be initialized:

- CellRange
  specifies the address of the cell range to bind this instance to. Must be a com::sun::star::table::CellRangeAddress instance.

## Member Data Documentation

com::sun::star::table::CellRangeAddress CellRange
| propertyreadonlybound

specifies the cell range within a document to which the component is bound.

The documentation for this service was generated from the following file:

- com/sun/star/table/CellRangeListSource.idl